__gnu_cxx::random_condition Struct Reference
Inheritance diagram for __gnu_cxx::random_condition:
[legend]

## Classes

struct | always_adjustor
struct | group_adjustor
struct | never_adjustor

## Public Member Functions

void | seed (unsigned long __s)

## Static Public Member Functions

static void | set_probability (double __p)
static void | throw_conditionally ()

## Detailed Description

Base class for random probability control and throw.

Definition at line 500 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h